For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.monitoring.sinks.bySink_uuid(sink_uuid).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithSink_uuGetResponse>
Description
To get the details of a sink (resources and destination), send a GET request to /v2/monitoring/sinks/{sink_uuid}.
Parameters
sink_uuid string required
Example: 78b172b6-52c3-4a4b-96d5-78d3f1a0b18c
A unique identifier for a sink.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.monitoring.sinks
.bySink_uuid("78b172b6-52c3-4a4b-96d5-78d3f1a0b18c").get();
Response Example
Show Response Example
{
"sink": {
"destination": {
"id": "01f30bfa-319a-4769-ba95-9d43971fb514",
"name": "managed_opensearch_cluster",
"type": "opensearch_dbaas"
},
"resources": []
}
}
See /v2/monitoring/sinks/{sink_uuid} in the API reference for additional detail on responses, headers, parameters, and more.